package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）枚举类
*
* @author zxfei
*/
public enum FieldTypeEnum {
    单行输入框("input", "单行输入框"),
    多行输入框("textarea", "多行输入框"),
    下拉选项框("SELECT", "下拉选项框"),
    日期选择框("date", "日期选择框");
    private String value;
    private String desc;

    FieldTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static FieldTypeEnum getByValue(String value) {
        for (FieldTypeEnum fieldTypeEnum : FieldTypeEnum.values()) {
            if (fieldTypeEnum.getValue() == value) {
                return fieldTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (FieldTypeEnum item : FieldTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}